Apps not compatible with Zenithink ZT280

Discussion in 'Zenithink ZT280 C91 & C91 Upgrade' started by mallorcasaint, Mar 8, 2012.

  1. mallorcasaint

    mallorcasaint Member

    Joined:
    Mar 8, 2012
    Messages:
    17
    Likes Received:
    1
    Trophy Points:
    62
    Location:
    Alcudia, Mallorca
    Tablet / Device:
    Zenithink ZT280 C91 (Stealthx Hydro)
    Hi all. I have just bought a Stealthx Hydro tablet (Zenithink ZT280 C91) which is running android 4.0 (ICS). I'm quite disappointed that many of the apps I try and download say "This app is incompatible with your Zenithink ZT ICS." I presume this is because the developers have not upgraded their apps to ICS. I don't really want to downgrade the OS but it is peeing me off!
     
  2. RedTabletPC.com

    RedTabletPC.com Member

    Joined:
    Feb 16, 2012
    Messages:
    260
    Likes Received:
    8
    Trophy Points:
    87
    Location:
    HONGKONG
    Tablet / Device:
    NOVO 7
    A lot of games not to be compatible, but only waiting for manufacturers to release new firmware.
     
  3. ggerard

    ggerard Member

    Joined:
    Mar 20, 2012
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    60
    Tablet / Device:
    zenithink c71
    Mainly, I find (annoying) that these apps are not compatible

    - Chrome for android
    - Maxthon Web Browser
    - Viber
    - Twitter
    - WhatsApp
    - Iris
    - GO Locker (and other GO apps)

    Furthermore, Apex launcher crashes when showing the apps, a shame since it is really fast.

    Let's hope it will be solved rather sooner than later O_O|
     
  4. Androidinabox

    Androidinabox Senior Member

    Joined:
    Mar 15, 2012
    Messages:
    388
    Likes Received:
    28
    Trophy Points:
    102
    Location:
    Shenzhen, China
  5. Dutch88

    Dutch88 Member

    Joined:
    Apr 1, 2012
    Messages:
    13
    Likes Received:
    1
    Trophy Points:
    62
    Location:
    U.S.A.
    Tablet / Device:
    Zenithink ZT-280 C91 3a
    try going to Android 2.3. I have found that ICS 4.0 causes most of the non-compatibility problems.
    Stay with Flash 10.2 also.
     
  6. Androidinabox

    Androidinabox Senior Member

    Joined:
    Mar 15, 2012
    Messages:
    388
    Likes Received:
    28
    Trophy Points:
    102
    Location:
    Shenzhen, China
  7. gasmeter

    gasmeter Member

    Joined:
    Apr 15, 2012
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    60
    Location:
    Bennebroek
    Tablet / Device:
    zt-280 c91

Share This Page

Search tags for this page

viber for tab 280